UniversalCurrency compile from source on Ubuntu

UniversalCurrency (UNIT) was a fairly new Crypto Currency at the time I started playing with it.  It’s genesis block was created in May 2015.

I downloaded the source from github:
https://github.com/unitcurrency/unitcurrency/

If you already compiled the Bitcoin Core in my previous post, you should already have most of the dependencies that this software needs.  I did have some trouble compiling this, even after reading all the instructions provided with this version.

cd ~/source
git clone https://github.com/unitcurrency/unitcurrency/

Follow the instructions in the ./source/unitcurrency/doc/readme-qt.rst

Running “qmake”, then “make” will give you some errors however, until you change permissions to a particular folder and make a few changes to the “UniversalCurrency-qt.pro” file.

The first error you get will be a permissions denied, which can be fixed by:

chmod 755 ./src/leveldb/build_detect_platform

I found this info here from another blogger who successfully compiled memecoin-qt in ubuntu, and it fixed my problem with UniversalCurrency:

https://pw999.wordpress.com/2013/09/29/compiling-memecoin-qt-on-xubuntu/

Basically, the developers of UniversalCurrency linked a specific version of Boost and we are changing this now:

Look for:

LIBS += -lboost_system-mgw49-mt-s-1_57 -lboost_filesystem-mgw49-mt-s-1_57 -lboost_program_options-mgw49-mt-s-1_57 -lboost_thread-mgw49-mt-s-1_57
BOOST_LIB_SUFFIX=-mgw49-mt-s-1_57

Change to:

LIBS += -lboost_system -lboost_filesystem -lboost_program_options -lboost_thread
BOOST_LIB_SUFFIX=

Look for:

isEmpty(BOOST_LIB_SUFFIX) {
macx:BOOST_LIB_SUFFIX = -mt
windows:BOOST_LIB_SUFFIX = -mgw49-mt-s-1_57
}

Comment out, so it will look like this:

#isEmpty(BOOST_LIB_SUFFIX) {
# macx:BOOST_LIB_SUFFIX = -mt
# windows:BOOST_LIB_SUFFIX = -mgw49-mt-s-1_57
#}

After these changes, you can then run

qmake
make

The build will take a while, but then you can copy the UniversalCurrency-qt file to your bin folder and it should be good to go.

2 thoughts on “UniversalCurrency compile from source on Ubuntu

  1. When I try this I got an error when I run the UniversalCurrency-qt file. The error is:

    qxcbconnection could not connect to display
    (abort program)

    Could you help me with this

Leave a Reply

Your email address will not be published. Required fields are marked *